Start a new billing period for an organization
curl --request POST \
--url 'https://api.vida.dev/api/v2/billing/billingPeriod?token=' \
--header 'Content-Type: application/json' \
--data '
{
"startDateTimestamp": 1735689600,
"endDateTimestamp": 1738281600
}
'import requests
url = "https://api.vida.dev/api/v2/billing/billingPeriod?token="
payload = {
"startDateTimestamp": 1735689600,
"endDateTimestamp": 1738281600
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({startDateTimestamp: 1735689600, endDateTimestamp: 1738281600})
};
fetch('https://api.vida.dev/api/v2/billing/billingPeriod?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Billing period updated",
"billingPeriod": {
"startDateTimestamp": 1735689600,
"endDateTimestamp": 1738281600
}
}{
"success": false,
"message": "startDateTimestamp must not be greater than endDateTimestamp"
}{
"success": false,
"message": "Account not found for provided identifier"
}Billing
Start a new billing period for an organization
Start a new billing period for an organization. This must be set on the day the current billing period ends – Reseller/Partner only.
POST
/
api
/
v2
/
billing
/
billingPeriod
Start a new billing period for an organization
Authorizations
Vida API Token
Query Parameters
Account ID to update billing period for
External account identifier mapped to the target account
Body
application/json
⌘I